
=encoding utf8

=head1 NAME

Sidef::Types::Array::Matrix

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Matrix(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Array::Array

=head1 METHODS

=head2 %

    a % b

Returns the

Aliases: I<mod>

=cut

=head2 &

    a & b

Returns the

Aliases: I<and>

=cut

=head2 *

    a * b

Returns the

Aliases: I<mul>

=cut

=head2 **

    a ** b

Returns the

Aliases: I<pow>

=cut

=head2 +

    a + b

Returns the

Aliases: I<add>

=cut

=head2 -

    a - b

Returns the

Aliases: I<sub>

=cut

=head2 /

    a / b

Returns the

Aliases: I<÷>, I<div>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>

=cut

=head2 I

    Matrix.I()

Returns the

Aliases: I<identity>

=cut

=head2 |

    a | b

Returns the

Aliases: I<or>

=cut

=head2 abs

    Matrix.abs()

Returns the

=cut

=head2 anti_diagonal

    Matrix.anti_diagonal()

Returns the

=cut

=head2 build

    Matrix.build()

Returns the

=cut

=head2 ceil

    Matrix.ceil()

Returns the

=cut

=head2 col

    Matrix.col()

Returns the

Aliases: I<column>, I<get_column>

=cut

=head2 col_len

    Matrix.col_len()

Returns the

Aliases: I<col_size>, I<col_count>, I<column_len>, I<column_size>, I<column_count>

=cut

=head2 cols

    Matrix.cols()

Returns the

Aliases: I<columns>, I<from_cols>, I<from_columns>

=cut

=head2 col_vector

    Matrix.col_vector()

Returns the

Aliases: I<column_vector>

=cut

=head2 concat

    Matrix.concat()

Returns the

=cut

=head2 det

    Matrix.det()

Returns the

Aliases: I<determinant>

=cut

=head2 det_bareiss

    Matrix.det_bareiss()

Returns the

=cut

=head2 diagonal

    Matrix.diagonal()

Returns the

=cut

=head2 flip

    Matrix.flip()

Returns the

=cut

=head2 floor

    Matrix.floor()

Returns the

=cut

=head2 gauss_jordan_invert

    Matrix.gauss_jordan_invert()

Returns the

=cut

=head2 gauss_jordan_solve

    Matrix.gauss_jordan_solve()

Returns the

=cut

=head2 horizontal_flip

    Matrix.horizontal_flip()

Returns the

=cut

=head2 inv

    Matrix.inv()

Returns the

Aliases: I<invert>, I<inverse>

=cut

=head2 invmod

    Matrix.invmod()

Returns the

=cut

=head2 is_square

    Matrix.is_square()

Returns the

=cut

=head2 neg

    Matrix.neg()

Returns the

=cut

=head2 new

    Matrix.new()

Returns the

Aliases: I<call>

=cut

=head2 powmod

    Matrix.powmod()

Returns the

=cut

=head2 prod

    Matrix.prod()

Returns the

Aliases: I<prod_by>

=cut

=head2 rand

    Matrix.rand()

Returns the

=cut

=head2 row

    Matrix.row()

Returns the

Aliases: I<get_row>

=cut

=head2 row_len

    Matrix.row_len()

Returns the

Aliases: I<row_size>, I<row_count>

=cut

=head2 rows

    Matrix.rows()

Returns the

Aliases: I<from_rows>

=cut

=head2 row_vector

    Matrix.row_vector()

Returns the

=cut

=head2 rref

    Matrix.rref()

Returns the

Aliases: I<reduced_row_echelon_form>

=cut

=head2 scalar

    Matrix.scalar()

Returns the

=cut

=head2 set_col

    Matrix.set_col()

Returns the

Aliases: I<set_column>

=cut

=head2 set_row

    Matrix.set_row()

Returns the

=cut

=head2 size

    Matrix.size()

Returns the

=cut

=head2 solve

    Matrix.solve()

Returns the

=cut

=head2 sum

    Matrix.sum()

Returns the

Aliases: I<sum_by>

=cut

=head2 t

    Matrix.t()

Returns the

Aliases: I<not>, I<transpose>

=cut

=head2 to_a

    Matrix.to_a()

Returns the

Aliases: I<to_array>

=cut

=head2 to_s

    Matrix.to_s()

Returns the

Aliases: I<dump>, I<to_str>

=cut

=head2 vec_cols

    Matrix.vec_cols()

Returns the

Aliases: I<vec_columns>, I<vector_columns>

=cut

=head2 vec_rows

    Matrix.vec_rows()

Returns the

Aliases: I<vector_rows>

=cut

=head2 vertical_flip

    Matrix.vertical_flip()

Returns the

=cut

=head2 zero

    Matrix.zero()

Returns the

=cut
